Package com.independentsoft.office.odf.styles

# Enum Class LineMode

java.lang.Object
java.lang.Enum<LineMode>
com.independentsoft.office.odf.styles.LineMode

All Implemented Interfaces:
  `Serializable`, `Comparable<LineMode>`, `Constable`

public enum LineMode extends Enum<LineMode>
Represents whether underlining is applied to words only or to portions of text.

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `CONTINUOUS`
  Underlining is applied to words and separating spaces.
  `NONE`
  None.
  `SKIP_WHITESPACE`
  Underlining is not applied to spaces between words.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static LineMode`
  `valueOf​(String name)`
  Returns the enum constant of this class with the specified name.
  `static LineMode[]`
  `values()`
  Returns an array containing the constants of this enum class, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### CONTINUOUS

    public static final LineMode CONTINUOUS
    Underlining is applied to words and separating spaces.

  - ### SKIP_WHITESPACE

    public static final LineMode SKIP_WHITESPACE
    Underlining is not applied to spaces between words.

  - ### NONE

    public static final LineMode NONE
    None.

- ## Method Details

  - ### values

    public static LineMode[] values()
    Returns an array containing the constants of this enum class, in the order they are declared.
    Returns:
      an array containing the constants of this enum class, in the order they are declared

  - ### valueOf

    public static LineMode valueOf​(String name)
    Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum class has no constant with the specified name
      `NullPointerException` - if the argument is null